package com.om.entity.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@NoArgsConstructor
public class DiaMenuQueryPageDTO {
    @ApiModelProperty(value = "当前页码")
    private Integer pageIndex;

    @ApiModelProperty(value = "每个页码的大小")
    private Integer pageSize;

    @ApiModelProperty(value = "搜索字段---搜索文件名")
    private String fileName;

    @ApiModelProperty(value = "搜索字段---搜索版本号")
    private String versionNum;
}
